class BeatListener implements AudioListener
{
  private BeatDetect beat;
  AudioInput in ;
  
  BeatListener(BeatDetect beat, AudioInput in)
  {
    this.in = in;
    this.in.addListener(this);
    this.beat = beat;
  }
  
  void samples(float[] samps)
  {
    beat.detect(in.mix);
  }
  
  void samples(float[] sampsL, float[] sampsR)
  {
    beat.detect(in.mix);
  }
}